Skip to main content

Questions tagged [compatibility]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
1 vote
1 answer
5k views

What is the most modern mobile browser possible to install into an old Android 1.5, 1.6?

I got in my hand an old Sony Ericsson Xperia X10 mini pro from 12 years ago and this is a quite nice, beautiful, and outdated Android. I do have however interest in seeing how modern mobile apps ...
1 vote
0 answers
22 views

Why would an application run on one device but not another (both running Android 14)

I have a particular game I've been stuck on but recently switched from a OnePlus 8t+ 5G TMO to a OnePlus Nord N30 TMO. Both of them are stock and run Upside Down Cake, but the game doesn't show up in ...
0 votes
0 answers
134 views

Cannot install APK on Android 14 because of compatibility issues [duplicate]

I have an old APK (the app is internal and subject to an NDA) that can be installed and functions properly on Android 13. It continues to work if I install it on Android 13 and then upgrade the phone ...
0 votes
3 answers
7k views

Facebook app not compatible on Android 4.3

Facebook was crashing on Huawei Y530-U00 on Android 4.3, so I wiped it and tried to install it again. Play Store says that "Your device isn't compatible with this version". I tried what is ...
0 votes
0 answers
34 views

Compatibility between Android 8.1 Oreo recovery.img and 9.0 Pie

I got Infinix x650 Android 8.1 Oreo recovery.img extracted with this command $ abootimg -x recovery.img #produced bootimg.cfg, zImage and ramdisk I also downloaded twrp.img built for Infinix x650B ...
0 votes
0 answers
75 views

How can I make an APK designed for a newer version of Android work on older android?

I have a tablet running Android 2.1, and I really want to have the S Memo app on it. However, all the APKs of S Memo from the web are for Android 4.0 and above. But, S Memo was originally designed for ...
1 vote
3 answers
2k views

What makes a 64-bit Android, except the kernel?

I have a phone (Samsung Galaxy A320F (AKA "A3 (2017)") with the stock ROM that contains a 64-bit armv8l kernel (Linux 3.18.14) and 32-bit userspace with 32-bit Android 8.0.0 platform. Some ...
1 vote
0 answers
438 views

Would there be any restrictions on what apps will work on Android Go?

I'm looking for a cheap tablet and found this ACER ACTAB723. It's Android 12 Go - my question is, would there be any restrictions on what apps will work on it, compared to a regular Android 12? And, ...
1 vote
1 answer
7k views

How to install an app that is available on older and newer Android versions but not on mine?

I have Bluetooth MIDI Connect installed on my Samsung Galaxy Tab A 8.0 tablet which is currently running on Android 10. My kids are using it to connect to the Bluetooth piano. My understanding is that ...
1 vote
1 answer
596 views

Trying to buy an app on a degoogled device. Why is the app "not compatible with your device"?

I have a degoogled lineageos phone. I'd like to be able to play "A dance of fire and ice" and "cytus" on this device. If I have previously purchased these apps, I think I should be ...
1 vote
0 answers
648 views

Are Huawei nova Y90 ROMs for model CTR-LX2 interchangeable with CTR-LX1?

I have a Huawei nova Y90 (CTR-LX2). I've been wanting to flash it with either a custom or stock ROM for experimental purposes, but I can't find a ROM file/firmware for the model CTR-LX2 specifically. ...
6 votes
1 answer
508 views

How can I get the old version of Google Authenticator?

I have an older phone (Motorola Cliq). Motorola refuses to update this version so I am stuck with Android 1.5 until I buy a new phone. I had to wipe my phone clean and when I went to reinstall the ...
0 votes
0 answers
65 views

Determining compatibility of app on Google Play

Is there a way to see which devices a certain app on Google Play is compatible on? Edit: to clarify, this is from a user-side perspective.
5 votes
0 answers
320 views

"device isn't compatible with this item" - why? [duplicate]

I would like to download and install this app on my Samsung Continuum SCH-I400 running Android 2.2.2 but instead of a download button, the Market displays an error message that reads: Your device isn'...
2 votes
0 answers
131 views

Connecting a DVD/CDROM reader through USB OTG

can CDROM/DVD readers be recognized and managed as standard USB mass storage? Does Android include drivers or libraries to read this quite standard hardware? Are drivers or root required? Any tip ...
0 votes
2 answers
1k views

What version of Kiwi Browser can be installed on Android 5?

I have a Samsung SM-P905V tablet that is running Android 5.1.1. Nothing newer is available, and no one has figured out unlocking the bootloader to allow a custom ROM. I want to load Kiwi Browser and ...
2 votes
1 answer
686 views

Install a fully functional Audible app on Android older than Android 6.0

I just bought a Samsung Galaxy S5 Mini, featuring Android 5.1. However, I cannot install the "Audible" audiobook app via Google Play (no search results). I know that this should work, as I ...
0 votes
1 answer
2k views

Flashing LG G4 H815(International Version) rom onto LG G4 H812 (Bell Canada) hardware

I am going on a long trip to the UK and Middle East, and want to take my LG G4 with me and use foreign service providers. I am planning on flashing the H815T (Similar to H815 International Version but ...
5 votes
5 answers
78k views

How to Install an application that requires android 5.0+ on android 4.4.4

I have a phone running android 4.4 and the app requires android 5.0 or higher. I want to install this app on android 4.4. Do you have any way, help yourself. Thank you very much.
1 vote
1 answer
3k views

What effect does a dual SIM have on the apps and software?

Some Android phones have dual SIMs. I'm curious what difference this makes? For example, are any special apps required? Do regular apps work on dual SIMs or do they have to be a special edition? Are ...
3 votes
0 answers
637 views

How can I download the last supported/compatible version of an app by knowing the Android OS version?

I have a very old samsung phone (Galaxy Ace) which runs Android Eclair. Surprisingly, Google Play and other apps still work and connect to the Internet, but there's a few problems. I had to hard reset ...
3 votes
2 answers
2k views

"not executable: magic 7F45" when running redsocks on Android emulator

I'm trying to get ProxyDroid or redsocks to run on the Genymotion Android emulator (x86). ADB shell into the device, run redsocks and I get not executable: magic 7F45. I know it means that the version ...
20 votes
5 answers
47k views

Where do I find the minimum requirements for an app?

I was trying to install a new app from Google Play on my computer, but a message told me that the app wasn't compatible with my device. No more information was given. Can someone please tell me where ...
1 vote
3 answers
3k views

Ringtones incompatible with custom rom. How to improve compatibility?

I have been using Samsung Galaxy s4 stock firmware up until now. Yesterday I switched to AOKP 4.4.4 (18/10/2014 build) and I've noticed that none of my old ringtones work (12 unrelated ringtones). I ...
5 votes
1 answer
601 views

Get app's compatibilty matrix from Play Store

I am trying to figure out why Play Store claims that an app is incompatible with my device. Sideloading the app works fine, I'd just like to get it over the Play Store so that I don't have to update ...
6 votes
2 answers
2k views

How can I find a compatible device for a given app on Play Store?

There was an app (Carrot Fantasy, already removed) that I can't install directly from the Play Store on Android tablets. It does run on a Samsung Galaxy Note 3 smartphone, but I have not yet had any ...
10 votes
2 answers
18k views

Can we connect a normal earphone / headphone to a Android device?

Can we connect a normal earphone / headphone (those that we connect to the Desktop PC) to the Android phone or devices? This is because I notice that the one on the left (the original one that come ...
1 vote
0 answers
412 views

TRRS compatibility, pinout. How does TRRS work?

After 16 hours of searching, I could not find comprehensive answers to the following questions: What's the modern PC, Android and Apple pinout standard inside the 3.5mm TRRS female socket? Is it CTIA? ...
0 votes
0 answers
52 views

Different device compatibility depending on account

I am using the google play store website (play.google.com) on my Android device. I have 2 accounts. With one account, the app says "This app is compatible with your device". But, when I ...
0 votes
1 answer
49 views

What if one application couldn't write incoming voice?

I tried a call recorder on my Android 7.1.2 phone, but only my voice was recorded, not those on the other side. Does it mean that my phone doesn't support something or should I try to find an ...
1 vote
0 answers
96 views

Getting a non-PIE Kitkat app to run on Marshmallow

I own a Nexus 7 (2012) and it is possible with this tablet to run a software called 'bcmon' that will put the wifi chipset in monitor mode and let you inject de-auth frame to capture WPA handshakes. ...
0 votes
0 answers
53 views

Can I use the image built for the Xiaomi Redmi 2 on the Redmi 2 pro?

It seems that the only difference between the Xiaomi Redmi 2 and the Xiaomi Redmi 2 pro is that the pro version has more internal storage and more RAM. So I suppose I can use the same cyanogenmod ...
1 vote
0 answers
66 views

How to open collaborated iwork file in android

I hope that somebody knows a workaround to a situation. Recently, I needed to share a numbers file with a large number of coworkers. I used the collaborate option and opened up the file for viewing. ...
2 votes
1 answer
681 views

How to install Messenger Lite on Samsung tablet

I'm want to install Facebook Messenger Lite on my non-rooted Samsung T-580 tablet with Nougat 7.0. There is a message saying: "Your device isn't compatible with this version." No more info is ...
4 votes
0 answers
4k views

Question regarding Google Play app compatibility check, x86 vs. ARM architectures, etc

This is more of a hardware question than anything, but it has to do with Android. I saw on this question, somebody saying that Android apps were architecture independent, and should run on ARM/ARM64/...
1 vote
1 answer
96 views

Will this "SIM Free" Android phone for sale near Osaka (Japan) work in Europe and North America?

Will this "SIM Free" Android phone for sale near Osaka (Japan) work in Europe and North America? Hello, So my phone recently went temporarily out of order and then I saw this Asus ZenFone 3 for sale ...
0 votes
1 answer
2k views

Build.prop modifies okay. But not updates in system (e.g. About Tablet in settings)

I am running Android-x86 4.4 on VirtualBox. Everything works fine. But when I am modifying build.prop (with ES File Explorer or BuildProp Editor) with other manufacturer or model and save it. After ...
5 votes
1 answer
8k views

Why the game is compatible in BlueStacks, but not in Genymotion?

I've tried to install KoA game in Genymotion on Demand on Android 5.1, 6.0 and 7.0 using Google Play Store app (by following these steps), but it reads that it's not compatible. Your device isn't ...
7 votes
2 answers
6k views

How to check the current platform of Android OS?

There are 4 common platform such as: ARM, ARM64, x86 and x86_64 on which Android can run. How can I check which platform I'm on within Android OS? So I can check whether my app is compatible with it ...
0 votes
1 answer
760 views

Can Xposed Framework be run successfully alongside a custom rom?

I would like to know if Xposed Framework can successfully run alongside a custom rom that possesses many features or whether it has to be a stock ROM. I wasn't able to find a consensus on whether or ...
0 votes
1 answer
575 views

Why is this app install failing as incompatible and can it be force installed?

I've used the Yell app for ages (com.yell.launcher2). It's recently updated and should be compatible with modern android (and is listed as compatible with 4+). I'm using LineageOS (=7.1) on a rooted ...
0 votes
1 answer
71 views

LineageOs compatible with European (H850) version of LG5

The "Downloads" page of LineageOS only lists the US version (H830) for the LG5. Given that they apparently use mostly the same hardware, am I safe to assume that a build of LineageOs that works on ...
17 votes
2 answers
17k views

How does Google Play work out if an app is compatible with my device? [duplicate]

I have one "generic" Android tablet, and often when I come to install and app, Google Play says it's incompatible with my device. It happens even on popular apps such as Twitter, Instagram, Evernote, ...
1 vote
0 answers
291 views

Enabling Google Maps inside TripAdvisor app on CyanogenMod

I have recently flashed my Asus Zenfone 2 Laser with a custom CM ROM. I am going abroad and will need offline maps. I have decided to use TripAdvisor, but when I want to open an offline map I get the ...
0 votes
2 answers
925 views

In a dual sim phone, must both sims be used?

I'm looking at getting the Xperia X Performance. It has two slots for SIM cards. Will the phone work alright with only one normal SIM and will all the apps still work ok? A long time ago I red most ...
0 votes
0 answers
698 views

Android Kitkat OS for Lenovo Vibe K5 (lollipop) Device?

I have Lenovo vibe K5 device and its running on Lollipop 5.1, for some reasons i want to downgrade it into Kitkat, So is it safe to downgrade higher end device into lower version of android if yes, i ...
1 vote
1 answer
691 views

Is charging with a USB-C adapter and a type A charger dangerous?

According to articles on HowToGeek and other sites, it can be dangerous to charge a phone with a USB-C connector by using a non compliant adapter cable and a USB type A charger or laptop outlet. I am ...
0 votes
1 answer
337 views

Headphones compatible with phone only after switching the audio cable polarity

I recently brought the Marshall Major II headphones, which come with a two-way unprotected 3.5 mm cable. According to the manual, you plug the straight end into the headphone, and the right-ended end ...
1 vote
2 answers
375 views

Compatibility problems with x86 phone?

I have read this and this question and I want to ask for some elaboration. I'm considering buying an x86 phone. I have some questions regarding compatibility issues. I know that the majority of ...
8 votes
1 answer
55k views

How can I modify the phone model in build.prop to get unsupported apps?

I currently have a rooted HTC Legend. In light of the current Android Market sales, I would love to be able to purchase some of the apps on sale without a compatible handset, since I plan to get a ...